Export the library
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/library/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/library/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/library/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/library/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/library/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/library/exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/library/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tab": "design_prices",
"rows": [
{
"design_id": "BD-1234",
"design": "KENEKT DESIGN",
"tier": "Quick Listing",
"price": 3000,
"active": true
},
{
"design_id": "BD-1234",
"design": "KENEKT DESIGN",
"tier": "Standard Package",
"price": 3500,
"active": true
}
],
"total_count": 2,
"page": 1,
"has_more": false
}{
"error": "Insufficient scope",
"required": "library",
"granted": [
"designs"
]
}{
"errors": [
"tab must be one of designs, design_prices, facades, design_facades, inclusions, design_inclusions"
]
}Stock / Library
Export the library
One tab of the design library (designs, prices, facades, inclusions) a page at a time. Limited to 10 requests a minute per key.
GET
/
{agency_uid}
/
library
/
exports
Export the library
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/library/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/library/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/library/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/library/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/library/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/library/exports")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/library/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tab": "design_prices",
"rows": [
{
"design_id": "BD-1234",
"design": "KENEKT DESIGN",
"tier": "Quick Listing",
"price": 3000,
"active": true
},
{
"design_id": "BD-1234",
"design": "KENEKT DESIGN",
"tier": "Standard Package",
"price": 3500,
"active": true
}
],
"total_count": 2,
"page": 1,
"has_more": false
}{
"error": "Insufficient scope",
"required": "library",
"granted": [
"designs"
]
}{
"errors": [
"tab must be one of designs, design_prices, facades, design_facades, inclusions, design_inclusions"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agency public_uid